Bug 484420 - TPS public key challenge proof verification error
TPS public key challenge proof verification error
Status: CLOSED ERRATA
Product: Dogtag Certificate System
Classification: Community
Component: TPS (Show other bugs)
unspecified
All Linux
medium Severity medium
: 1.0
: ---
Assigned To: Christina Fu
Chandrasekar Kannan
:
Depends On:
Blocks: 443788
  Show dependency treegraph
 
Reported: 2009-02-06 12:52 EST by Christina Fu
Modified: 2015-01-04 18:36 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-22 19:32:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fixed the failure case; adjusted the tabs too. (1.44 KB, text/plain)
2009-02-06 12:54 EST, Christina Fu
no flags Details
tps spec file change (916 bytes, text/plain)
2009-02-06 13:52 EST, Christina Fu
no flags Details

  None (edit)
Description Christina Fu 2009-02-06 12:52:23 EST
Description of problem:
observation of the code reveals that the in TPS when public key challenge proof verification is done, an error does not cause the status to be set correctly to failure.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Christina Fu 2009-02-06 12:54:32 EST
Created attachment 331152 [details]
fixed the failure case; adjusted the tabs too.

mharmsen please review.
Comment 2 Matthew Harmsen 2009-02-06 13:06:46 EST
attachment (id=331152) +mharmsen
Comment 3 Christina Fu 2009-02-06 13:34:45 EST
$ svn commit CertEnroll.cpp
Sending        CertEnroll.cpp
Transmitting file data .
Committed revision 213.
Comment 4 Christina Fu 2009-02-06 13:52:30 EST
Created attachment 331157 [details]
tps spec file change
Comment 5 Christina Fu 2009-02-06 13:53:49 EST
$ svn commit pki-tps.spec
Sending        pki-tps.spec
Transmitting file data .
Committed revision 214.

Note You need to log in before you can comment on or make changes to this bug.